

            fi (1) --- terminate conditional statement               03/20/80


            _U_s_a_g_e

                 if <value>
                    then
                       { <command> }
                    else
                       { <command> }
                 fi


            _D_e_s_c_r_i_p_t_i_o_n

                 'Fi'  marks the end of a conditional statement.  It is a do-
                 nothing command that may be searched for by either  'if'  or
                 'else'  in the process of skipping commands.  Each 'if' com-
                 mand must be followed by a matching 'fi' command.

                 If a terminal is locked up  due  to  an  unmatched  'if'  or
                 'else', the 'fi' command may be used to regain control.


            _E_x_a_m_p_l_e_s

                 if [eval [line] ">" 33]
                    then
                       set type = phantom
                    else
                       set type = terminal
                 fi

                 if 1
                    echo "Sorry, you can't use this program."
                    goto exit
                 fi


            _B_u_g_s

                 I/o  redirectors placed before 'fi' render it unrecognizable
                 to 'if' and 'else'.


            _S_e_e _A_l_s_o

                 if (1), then (1), else (1), case (1)













            fi (1)                        - 1 -                        fi (1)


